Summary:        Perl binding for GNU Libidn2
Name:           perl-Net-LibIDN2
Version:        1.02
Release:        1%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-LibIDN2
Source0:        https://cpan.metacpan.org/authors/id/T/TH/THOR/Net-LibIDN2-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc
BuildRequires:  libidn2-devel >= 2.0.0
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Devel::CheckLib) perl(ExtUtils::CBuilder)
BuildRequires:  perl(lib) perl(Module::Build) perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.6 perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(Encode) perl(Test::More) >= 0.10
BuildRequires:  glibc-langpack-en
BuildRequires:  perl(POSIX)

%description
This Perl module provides bindings for GNU Libidn2, a C library for handling
internationalized domain names according to IDNA 2008 (RFC 5890, RFC 5891,
RFC 5892, RFC 5893).

%prep
%autosetup -n Net-LibIDN2-%{version}
rm -rf inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.02-1
- Upgrade to version 1.02

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.01-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.01-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.01-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.01-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.01-1
- initial build
